%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

Name:           dpkt
Version:        1.9.2
Release:        2%{?dist}
Summary:        Simple packet creation/parsing library

Group:          Development/Libraries
License:        BSD
URL:            http://dpkt.googlecode.com/
Source0:        http://dpkt.googlecode.com/files/dpkt-%{version}.tar.gz

BuildArch:      noarch


%description
Fast, simple packet creation and parsing library with definitions for the basic TCP/IP protocols. 

%package -n python2-%{name}
Summary:        %{sum}
BuildRequires:  python2-devel
%{?python_provide:%python_provide python2-%{name}}

%description -n python2-%{name}
Fast, simple packet creation and parsing library with definitions for the basic TCP/IP protocols. 

This package provides the Python 2 dpkt library.

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{name}
Summary:        Python 3 package for providing Mozilla's CA Bundle
Group:          Development/Libraries
BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{name}
Fast, simple packet creation and parsing library with definitions for the basic TCP/IP protocols.

This package provides the Python 3 certifi library.
%endif

%prep
%setup 

%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%files -n python2-%{name}
%doc README.rst
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}-*-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{name}
%doc README.rst
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-*-py?.?.egg-info
%endif

%changelog
* Sun May 19 2019 Lawrence R. Rogers <lrr@cert.org> 1.9.2-2
* Release 1.9.2-2
	Version 1.9.2-2: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 1.9.2-1
* Release 1.9.2-1
	Version 1.9.2

        Release 2 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 17 2014 Yanko Kaneti <yaneti@declera.com> - 1.8-1
- Update to 1.8. Drop patch. Drop ancient obsolete

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 28 2010 Yanko Kaneti <yaneti@declera.com> - 1.7-1
- python-dpkt previously known as dpkt
- Incorporated feedback from the new review
